Fedora Linux Support Community & Resources Center

Go Back   FedoraForum.org > Fedora 19/20 > Using Fedora
FedoraForum Search

Forgot Password? Join Us!

Using Fedora General support for current versions. Ask questions about Fedora that do not belong in any other forum.

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 7th March 2008, 07:00 PM
bravoelf Offline
Registered User
 
Join Date: Nov 2007
Posts: 25
ATI Driver installation problem(kernel version incompabillity) - need advise

Hello guys,

First of all sorry for english, tried my best, but still it's not my native ; )
Recently I was tried to install some ATI driver, the first thing I did was a try to install original ATI driver from their site --- with no sucess.

I have an Acer TravelMate 4602WLMi latop with ATI MOBILITY Radeon X600 on it and F8 installed on it.
My current kernel version is:
Code:
Linux localhost.localdomain 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 16:35:26 EST 2008 i686 i686 i386 GNU/Linux
Then I've found at google some info about livna "fglrx" driver and I decided to try it.
I've had some problem doing that, couse of the repos I took from "fedorafaq" that weren't good, so I removed them and got some basic repos from ftp sites. Now I can do it but, there is some new problem appeared, its tells me something about kernel versions. The driver has i586 and my laptop's one is i686.
Here is some print from my console:
Code:
[root@localhost bravo_elf]# yum install xorg-x11-drv-fglrx kmod-fglrx
Code:
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kernel                  i586       2.6.24.3-12.fc8  updates            17 M
Removing:
 kernel                  i586       2.6.23.14-115.fc8  installed          45 M
Installing for dependencies:
 kernel                  i686       2.6.24.3-12.fc8  updates            17 M
 kmod-fglrx              i686       8.455.2-2.8.02.lvn8  livna              17 k
 kmod-fglrx-2.6.24.3-12.fc8  i686       8.455.2-2.8.02.lvn8  livna             5                                           35 k
 livna-config-display    noarch     0.0.20-1.lvn8    livna              64 k
 xorg-x11-drv-fglrx      i386       8.455.2-1.8.02.lvn8  livna             9.2 M
 xorg-x11-drv-fglrx-libs  i386       8.455.2-1.8.02.lvn8  livna             5.4                                            M

Transaction Summary
=============================================================================
Install      7 Package(s)
Update       0 Package(s)
Remove       1 Package(s)

Total download size: 49 M
Is this ok [y/N]: y

And then I get this message:
Code:
file /lib/modules/2.6.24.3-12.fc8/kernel/fs/lockd/lockd.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/mbcache.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/minix/minix.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/msdos/msdos.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/ncpfs/ncpfs.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfs/nfs.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfs_common/nfs_acl.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfsd/nfsd.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1250.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1251.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1255.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp737.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp775.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp850.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp852.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp855.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp857.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp860.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp861.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp862.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp863.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp864.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
this is just a sample, originally the list is much longer.
As I can understand from it, there is some kernel versions problem, also I know that livna driver requiers a kernel module change after you update the whole system. It must be suitable.
I've heard about some driver which do not need to be "changed" just when you update your entire system, as I can remember it has been called something like "kdms" etc.


Any idea of how to solve this problem will be gladfuly appreciated.
Reply With Quote
  #2  
Old 7th March 2008, 07:10 PM
leigh123linux
Guest
 
Posts: n/a
Quote:
Originally Posted by bravoelf
Hello guys,

First of all sorry for english, tried my best, but still it's not my native ; )
Recently I was tried to install some ATI driver, the first thing I did was a try to install original ATI driver from their site --- with no sucess.

I have an Acer TravelMate 4602WLMi latop with ATI MOBILITY Radeon X600 on it and F8 installed on it.
My current kernel version is:
Code:
Linux localhost.localdomain 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 16:35:26 EST 2008 i686 i686 i386 GNU/Linux
Then I've found at google some info about livna "fglrx" driver and I decided to try it.
I've had some problem doing that, couse of the repos I took from "fedorafaq" that weren't good, so I removed them and got some basic repos from ftp sites. Now I can do it but, there is some new problem appeared, its tells me something about kernel versions. The driver has i586 and my laptop's one is i686.
Here is some print from my console:
Code:
[root@localhost bravo_elf]# yum install xorg-x11-drv-fglrx kmod-fglrx
Code:
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kernel                  i586       2.6.24.3-12.fc8  updates            17 M
Removing:
 kernel                  i586       2.6.23.14-115.fc8  installed          45 M
Installing for dependencies:
 kernel                  i686       2.6.24.3-12.fc8  updates            17 M
 kmod-fglrx              i686       8.455.2-2.8.02.lvn8  livna              17 k
 kmod-fglrx-2.6.24.3-12.fc8  i686       8.455.2-2.8.02.lvn8  livna             5                                           35 k
 livna-config-display    noarch     0.0.20-1.lvn8    livna              64 k
 xorg-x11-drv-fglrx      i386       8.455.2-1.8.02.lvn8  livna             9.2 M
 xorg-x11-drv-fglrx-libs  i386       8.455.2-1.8.02.lvn8  livna             5.4                                            M

Transaction Summary
=============================================================================
Install      7 Package(s)
Update       0 Package(s)
Remove       1 Package(s)

Total download size: 49 M
Is this ok [y/N]: y

And then I get this message:
Code:
file /lib/modules/2.6.24.3-12.fc8/kernel/fs/lockd/lockd.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/mbcache.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/minix/minix.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/msdos/msdos.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/ncpfs/ncpfs.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfs/nfs.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfs_common/nfs_acl.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfsd/nfsd.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1250.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1251.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1255.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp737.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp775.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp850.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp852.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp855.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp857.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp860.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp861.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp862.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp863.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
  file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp864.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
this is just a sample, originally the list is much longer.
As I can understand from it, there is some kernel versions problem, also I know that livna driver requiers a kernel module change after you update the whole system. It must be suitable.
I've heard about some driver which do not need to be "changed" just when you update your entire system, as I can remember it has been called something like "kdms" etc.


Any idea of how to solve this problem will be gladfuly appreciated.


I am not supprised that you have a conflict , you have a i586 kernel and the kmod-fglrx-2.6.24.3-12.fc8 is trying to install a i686 kernel .

swap the i586 kernel for a i686 kernel .
Reply With Quote
  #3  
Old 7th March 2008, 09:01 PM
bravoelf Offline
Registered User
 
Join Date: Nov 2007
Posts: 25
Quote:
Originally Posted by leigh123@linux
I am not supprised that you have a conflict , you have a i586 kernel and the kmod-fglrx-2.6.24.3-12.fc8 is trying to install a i686 kernel .

swap the i586 kernel for a i686 kernel .
I have i686 installed on my laptop, you can see this from the line above that I wrote before.
Anyway how can I swap it?


TO: bsquare----> why does it try to install two different versions of kernel? (if I got it right).
and what about driver's kernel update? will it be automatic (after I'll update my systems one) or I'll need to wirte code changes at some file?

Sincerely, Ivan.
Reply With Quote
  #4  
Old 7th March 2008, 09:30 PM
bravoelf Offline
Registered User
 
Join Date: Nov 2007
Posts: 25
Ok now, I've finally installed the driver.

BUT can someone plz give me some llittle explanation about all those "i386 i586 and i686"?
What does it mean, and how do I handle it?
How can I determine my kernel version, do I need to use "uname -a" command and what does it mean:
Code:
[root@localhost bravo_elf]# uname -a
Linux localhost.localdomain 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 16:35:26 EST 2008 i686 i686 i386 GNU/Linux
I just got totaly confused.

Last edited by bravoelf; 7th March 2008 at 09:32 PM.
Reply With Quote
  #5  
Old 7th March 2008, 09:47 PM
bsquare Offline
Registered User
 
Join Date: Oct 2005
Location: Vannes
Age: 34
Posts: 72
Quote:
Originally Posted by bravoelf
Ok now, I've finally installed the driver.

BUT can someone plz give me some llittle explanation about all those "i386 i586 and i686"?
What does it mean, and how do I handle it?
In fact, all iX86 packages correspond to Intel base packages.
It comes in history with Pentium I, then II, then ... until today.
If you have the choice, prefer the i686 for potential higher optimization, but all will be compatible.

Quote:
Originally Posted by bravoelf
How can I determine my kernel version, do I need to use "uname -a" command and what does it mean:
Code:
[root@localhost bravo_elf]# uname -a
Linux localhost.localdomain 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 16:35:26 EST 2008 i686 i686 i386 GNU/Linux
I just got totaly confused.
The following command gives you "all information"
Code:
uname -a
Just before the OS information, you have respectively information about machine, processor and finally hardware-platform.
To get only specific information, you may use corresponding option.
This is a part of the uname man:
Code:
       -m, --machine
              print the machine hardware name

       -p, --processor
              print the processor type or "unknown"

       -i, --hardware-platform
              print the hardware platform or "unknown"
__________________
Let's share computer science knowledge on CEKSHA blog
Reply With Quote
  #6  
Old 7th March 2008, 09:39 PM
bsquare Offline
Registered User
 
Join Date: Oct 2005
Location: Vannes
Age: 34
Posts: 72
Quote:
Originally Posted by bravoelf
TO: bsquare----> why does it try to install two different versions of kernel? (if I got it right).
yes, so do you.
There may have been a mistake between dependencies (I have not seen such thing from a long time)

Quote:
Originally Posted by bravoelf
and what about driver's kernel update? will it be automatic (after I'll update my systems one) or I'll need to wirte code changes at some file?
It should be automatically updated thanks to dependencies, but it there is really a problem with them, there may be another problem (although I don't think it would happen).
__________________
Let's share computer science knowledge on CEKSHA blog
Reply With Quote
  #7  
Old 7th March 2008, 07:29 PM
bsquare Offline
Registered User
 
Join Date: Oct 2005
Location: Vannes
Age: 34
Posts: 72
For instance, you can use the following command to exclude i586 packages (only kernel into your report):
Code:
yum install xorg-x11-drv-fglrx kmod-fglrx --exclude=*.i386
__________________
Let's share computer science knowledge on CEKSHA blog
Reply With Quote
  #8  
Old 8th March 2008, 12:42 AM
Nokia Offline
Registered User
 
Join Date: Aug 2006
Location: /dev/realm/{Abba,Carpenters,...stage}
Posts: 3,286
I had that same issue and I had to switch. I didn't think there could be another having the same problem at the same time
__________________
For safer browsing, use OpenDNS nameservers 208.67.222.222 and 208.67.220.220

SELinux User Guide

AutoPager
Reply With Quote
Reply

Tags
advise, ati, driver, incompabillity, installation, problemkernel, version

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
F7(x86-64) to F8 upgrade problem with kernel version jovian Installation, Upgrades and Live Media 7 20th January 2008 10:49 AM
Kernel version update 2.6.23 for Fedora 7 breaks SATA ICH8R driver xylog Hardware & Laptops 13 12th November 2007 04:36 PM
nvidia + kernel update problem - wrong kernel version?! Duli Installation, Upgrades and Live Media 5 6th March 2007 03:36 AM
Kernel source code - download and install - please advise... dickinsd Using Fedora 6 18th January 2005 08:39 AM


Current GMT-time: 14:08 (Tuesday, 02-09-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat